#ifndef _RSE_TYPES_H
#define _RSE_TYPES_H

typedef unsigned char  UCHR;          // 1 byte unsigned; prefix: ui8 
typedef signed char    SCHR;          // 1 byte signed;   prefix: i8 
typedef unsigned short UINT;          // 2 byte unsigned; prefix: ui16  for compability reasons 
typedef signed short   SINT;          // 2 byte signed;   prefix: i16   for compability reasons
typedef unsigned long  ULONG;         // 4 byte unsigned; prefix: ui32 
typedef signed long    SLONG;         // 4 byte signed;   prefix: i32 
typedef unsigned char   UINT8;        // 1 byte unsigned; prefix: ui8
typedef signed char     SINT8;        // 1 byte signed;   prefix: i8
typedef unsigned short UINT16;        // 2 byte unsigned; prefix: ui16 
typedef signed short 	 INT16;         // 2 byte unsigned; prefix: i16
typedef unsigned int   UINT32;        // 4 byte unsigned; prefix: ui32
typedef signed int     SINT32;        // 4 byte unsigned; prefix: i32
typedef signed int     INT32;         // 4 byte unsigned; prefix: i32
typedef unsigned long long   UINT64;  // 8 byte unsigned; prefix: ui64
typedef signed long long     SINT64;  // 8 byte signed;   prefix: i64
typedef signed long long     INT64;   // 8 byte signed;   prefix: i64

typedef struct
{
	unsigned long lo, hi;
} Longlong;

#endif // _RSE_TYPES_H
